Loading...
Searching...
No Matches
XrdClRecorderPlugin.cc File Reference
`#include "XrdClRecorder.hh"`
`#include "XrdClRecorderPlugin.hh"`
Include dependency graph for XrdClRecorderPlugin.cc:

Go to the source code of this file.

## Functions

| XrdVERSIONINFO (XrdClGetPlugIn, XrdClGetPlugIn) extern "C"

## Function Documentation

## XrdVERSIONINFO()

XrdVERSIONINFO | ( | XrdClGetPlugIn | ,
|  | XrdClGetPlugIn | )

Definition at line 28 of file XrdClRecorderPlugin.cc.

{
void* XrdClGetPlugIn( const void* arg )
{
const std::map<std::string, std::string>* config =
static_cast< const std::map<std::string, std::string>* >(arg);
return static_cast<void*>(new XrdCl::RecorderFactory( config ) );
}
}
XrdClGetPlugIn
void * XrdClGetPlugIn(const void *)
XrdCl::RecorderFactory
XrdCl recorder plug-in factory.
Definition XrdClRecorderPlugin.hh:35

References XrdClGetPlugIn().

Here is the call graph for this function: